package com.example.gmaptest;

import com.vaadin.tapio.googlemaps.GoogleMap;
import com.vaadin.tapio.googlemaps.client.LatLon;
import com.vaadin.ui.Button;
import com.vaadin.ui.VerticalLayout;
import com.vaadin.ui.Window;

public class MapDataWindow extends Window implements Button.ClickListener {
    private int _sid;

    Button _btnOK;
    Button _btnCancel;

    private GoogleMap googleMap;
    private final String apiKey = "";

    public MapDataWindow(int sid, int filteruserdata) {
        createLayout();
        loadData(sid, filteruserdata);
    }

    @Override
    public void buttonClick(Button.ClickEvent event) {
    }

    private void createLayout() {
        setCaption("Add User Task");

        VerticalLayout root = new VerticalLayout();
        root.setWidth("900px");
        root.setHeight("400px");
        setContent(root);

        googleMap = new GoogleMap(new LatLon(60.440963, 22.25122), 10.0, apiKey);
        googleMap.setSizeFull();

        root.addComponent(googleMap);
    }

    private void loadData(int sid, int filteruserid) {
        googleMap.addMarker("DRAGGABLE: Paavo Nurmi Stadion", new LatLon(
                60.442423, 22.26044), true);
        googleMap.addMarker("DRAGGABLE: Kakolan vankila", new LatLon(60.44291,
                22.242415), true);
        googleMap.addMarker("NOT DRAGGABLE: Iso-Heikkilä", new LatLon(
                60.450403, 22.230399), false);
        googleMap.setMinZoom(4.0);
        googleMap.setMaxZoom(16.0);
    }
}